Author Topic: Mame help (don't hate me)  (Read 148 times)

Andyp1981

  • Newbie
  • *
  • Posts: 5
    • View Profile
Mame help (don't hate me)
« on: September 22, 2019, 11:05:59 PM »
I've just finished building my cabinet and have now acquired a rom set 0.185 + CHD merged and a set of 0.185 rollback Roms + rollback CHD merged Roms.

Please can someone tell me what do I do with the roll back Roms + CHDs? Are they supposed to be integrated into 0.185 rom set with clmamepro?

I have tried searching on here and Google but it's a bit of a minefield when you have a specific question.

Thanks

progets

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 899
    • View Profile
Re: Mame help (don't hate me)
« Reply #1 on: September 22, 2019, 11:39:43 PM »
A rollback set is typically used to downgrade. It only contains files that have been removed from MAME full sets. If you plan to use MAME 0.185 you don't need to do anything with the rollback set. If you want to use an older version of MAME (anything less than 0.185) you can use clmamepro to downgrade your 0.185 full set with your 0.185 rollback set to create a new (but older version) set to match your version of MAME.

On rare occasion, someone might use a rollback set to get an outdated ROM dump. This would probably only interest someone that is trying to modify the ROM or exploit a bug in it.

Andyp1981

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: Mame help (don't hate me)
« Reply #2 on: September 22, 2019, 11:44:29 PM »
Thanks for the info, I just got everything that said 0.185 I suppose I could just delete the roll backs then as I don't intend to downgrade to a lower version.
Thanks

progets

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 899
    • View Profile
Re: Mame help (don't hate me)
« Reply #3 on: September 22, 2019, 11:50:43 PM »
That's correct, you don't need them if you never plan to use any version of MAME older than 0.185.

If you ever want to use a lower powered computer (old PC, Raspberry Pi, etc) that can't run MAME 0.185, they would allow you to convert your full set to a version that runs better on an older version of MAME.

rand0m

  • Sr. Member
  • ****
  • Posts: 254
    • View Profile
Re: Mame help (don't hate me)
« Reply #4 on: September 23, 2019, 12:05:57 AM »
Yup Rollbacks are only for downgrading the set to a lower version, if you don't plan to do that there is no need for them. 0.185 is an old version though, current being v0.213.

Andyp1981

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: Mame help (don't hate me)
« Reply #5 on: September 23, 2019, 12:22:14 AM »
Cheers for the help, I'm using a i5 4th gen pc setup with graphics card for my emulation machine so I think I will delete the roll backs to save some space.

I am aware of the the newer upto date version of mame Roms, most games I am interested in have been working in the 0.185 set I have, I will probably never play most of them anyway but they are there just to have I suppose.